<?php
declare(strict_types=1);

namespace Catequil\Barcode;

use Catequil\Core\Container\InjectRoutesDelegatorFactory;
use Laminas\ConfigAggregator\ArrayProvider;
use Laminas\ConfigAggregator\ConfigAggregator;
use Laminas\ConfigAggregator\PhpFileProvider;
use Laminas\ServiceManager\AbstractFactory\ReflectionBasedAbstractFactory;
use Mezzio\Application;
use Mezzio\Container\ApplicationConfigInjectionDelegator;

return (new ConfigAggregator([
    \Catequil\Core\ConfigProvider::class,
    ConfigProvider::class,
    new PhpFileProvider(__DIR__ . '/autoload/{{,*.}global,{,*.}local}.php'),
    new ArrayProvider([
        'dependencies' => [
            'abstract_factories' => [
                ReflectionBasedAbstractFactory::class,
            ],
            'delegators' => [
                Application::class => [
                    ApplicationConfigInjectionDelegator::class,
                ],
            ],
        ],
    ]),
]))->getMergedConfig();